Bug 593085 - AD-Queue-page behaviour inconsistent to AD-Portlet
AD-Queue-page behaviour inconsistent to AD-Portlet
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: rhq4
  Show dependency treegraph
 
Reported: 2010-05-17 15:20 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:26:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2010-05-17 15:20:21 EDT
Go to the AD-Q , select all listed resources that are already in COMMITED state and which have children.
Click on import. A message will show up that 0 platforms and 0 servers were imported.

Again select all checkboxes via that checkbox in the header row.
Then click on a little + sign next to a platform in state commited  -- see that the servers in it are
not marked and are thus not imported.

This is a) inconsistent wrt. the behavious of the AD-Portlet and b) a pain to import many platforms at once into RHQ.
Comment 1 Heiko W. Rupp 2010-05-17 15:21:38 EDT
Workaround: click on the fat + sign in the header to expand all entries then click on the select all checkbox and then import
Comment 2 Corey Welton 2010-09-24 08:31:00 EDT
QA: test this in new gwt ui
Comment 3 Sunil Kondkar 2011-06-15 04:50:08 EDT
Verified on build 135 (Version: 4.1.0-SNAPSHOT Build Number: 925b384)

In the new GWT ui, When user clicks on the select all checkbox, it displays a message 'Also Select the platform children?' clicking on 'yes' selects all the child resources under the platform. The import button is disabled for the selected committed platform, Also verified the same behaviour in discovery queue portlet.

Marking as verified.
Comment 4 Heiko W. Rupp 2013-09-02 03:26:05 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.